## org.apache.cassandra.utils
Class SafeMessageDigest

    java.lang.Object
      org.apache.cassandra.utils.SafeMessageDigest

    public class SafeMessageDigest

extends java.lang.Object

Field Summary
`static SafeMessageDigest` `digest_`

Constructor Summary
`SafeMessageDigest(java.security.MessageDigest md)`

Method Summary
`byte[]` `digest()`
`byte[]` `digest(byte[] theBytes)`
`int` `getDigestLength()`
`byte[]` `unprotectedDigest()`
`byte[]` `unprotectedDigest(byte[] theBytes)`
`void` `unprotectedUpdate(byte[] theBytes)`
`void` `update(byte[] theBytes)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### digest_

    public static SafeMessageDigest digest_

Constructor Detail

### SafeMessageDigest

    public SafeMessageDigest(java.security.MessageDigest md)

Method Detail

### update

    public void update(byte[] theBytes)

### digest

    public byte[] digest(byte[] theBytes)

### digest

    public byte[] digest()

### unprotectedDigest

    public byte[] unprotectedDigest()

### unprotectedUpdate

    public void unprotectedUpdate(byte[] theBytes)

### unprotectedDigest

    public byte[] unprotectedDigest(byte[] theBytes)

### getDigestLength

    public int getDigestLength()

Copyright © 2010 The Apache Software Foundation